## KitchenSink

### Introduction

KitchenSink is a standalone program which combines multiple demos in one executable. The purpose of KitchenSink is to
demonstrate the capabilities and functionality of the CopperSpice libraries. These demos are basic examples and the
code is intentionally simplistic and not optimized.


### Building

KitchenSink prebuilt binaries are available for Linux, Mac OS X, and Windows.

https://download.copperspice.com/kitchensink/binary/

To build KitchenSink from source a current copy of the CopperSpice libraries, a C++17 compiler, and a C++17 standard
library are required.

CMake build files are provided with the KitchenSink source distribution.


###### OpenSSL

If you are using a version of CopperSpice which has OpenSSL enabled the OpenSSL library files must be copied to your
KitchenSink deployment folder or available in your path.


### Documentation

Information about KitchenSink can be found on our web site.

https://www.copperspice.com/documentation-kitchensink.html


### Presentations

Our YouTube channel contains videos about C++, graphics, build systems, CopperSpice, DoxyPress, and other
topics related to software development.

https://www.youtube.com/copperspice


Links to technical presentations recorded at CppCon, CppNow, embBO++, MeetingC++, and code::dive, can be
found on our presentation page.

https://www.copperspice.com/presentations.html


### Authors / Contributors

* **Barbara Geller**
* **Ansel Sermersheim**
* **Zbigniew Skowron**
* **Daniel Pfeifer**
* **Jan Wilmans**
* **Tim van Deurzen**


### License

This program is released under the 2-Clause BSD license. For more information refer to the LICENSE file provided with
this project.


### References

 * Website:  https://www.copperspice.com
 * Twitter:  https://twitter.com/copperspice_cpp
 * Email:    info@copperspice.com

<!-- -->
 * Github:   https://github.com/copperspice

<!-- -->
 * Forum:    https://forum.copperspice.com
 * Journal:  https://journal.copperspice.com
